//definicje rejestrw

#define CONF_A  00  //R/W Configuration Register A
#define CONF_B  01  //R/W Configuration Register B
#define MODE    02  //R/W Mode Register
#define DATA_XH 03  //R Data Output X MSB Register
#define DATA_XL 04  //R Data Output X LSB Register
#define DATA_ZH 05  //R Data Output Z MSB Register
#define DATA_ZL 06  //R Data Output Z LSB Register
#define DATA_YH 07  //R Data Output Y MSB Register
#define DATA_YL 08  //R Data Output Y LSB Register
#define STATUS  09  //R Status Register
#define ID_A    10  //R Identification Register A
#define ID_B    11  //R Identification Register B
#define ID_C    12  //R Identification Register C



//definicje zmiennych
float fVectMagnHMC[3];      //wektor pola magnetycznego czujnika HMC5883
float fCorrMagnHMC[3];      //wektor korekcji zera magnetometru
float fGainMagnHMC[3];      //wektor korekcji wzmocnienia magnetometru
float fOfstMagnHMC[3];      //wektor korekcji offsetu magnetometru
static float fMinValMagn[3], fMaxValMagn[3]; //ekstrema odczytanych wartoci
float fMagnCourseHMC;       //wyliczony kurs magnetyczny
static unsigned char chData[8];//bufor danych transmisji I2C

//deklaracje zmiennych zewntrznych
extern unsigned char chI2C0End, chI2C1End, chI2C2End;     //flagi koca operacji na magistrali
extern unsigned short sInitFlag;   //zawiera flagi inicjalizacji zasobw sprztowych


//definicje funkcji
unsigned char StartMagnetometerHMC(unsigned char chChan);
unsigned char ReadMagnetometerHMC(unsigned char chChan);
unsigned char CalibrateMagnHMC(unsigned char chEtap);
unsigned char MeasureMagnetometerHMC(unsigned char chChan);
unsigned char TestPresenceHMC5883(unsigned char chChan);
unsigned char InitMagnetometerHMC(void);

//deklaracje funkcji
extern unsigned char StartI2C0(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char StartI2C1(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char StartI2C2(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char FramDataReadFloatValid(unsigned short sAddress, float *fValue, float fValMin, float fValMax, float fValDef, unsigned char chErrCode);
extern void FramDataWriteFloat(unsigned short sAddress, float fData);
extern unsigned char SetAsyncI2C_Cmd(unsigned char chCmd);
extern void BeepMin(void);
extern void BeepMax(void);